Announcement

Collapse
No announcement yet.

gnupg Update Needed (Build Failure with GCC)

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • gnupg Update Needed (Build Failure with GCC)

    This happens on Arch Linux (rolling):

    Code:
    $ phoronix-test-suite install gnupg
    
    NOTICE: The php.ini configuration is using the "open_basedir" directive, which may prevent some parts of the Phoronix Test Suite from working. See the Phoronix Test Suite documentation for more details and to disable this setting.
    
    Phoronix Test Suite v5.8.0
    
        To Install: pts/gnupg-1.3.1
    
        Determining File Requirements ...........................................................................................................................................................................
        Searching Download Caches ...............................................................................................................................................................................
    
        1 Test To Install
            9MB Of Disk Space Is Needed
    
        pts/gnupg-1.3.1:
            Test Installation 1 of 1
            1 File Needed [4.53 MB / 1 Minute]
            File Found: gnupg-1.4.10.tar.gz                                                                                                                                                              [4.53MB]
            Installation Size: 8.4 MB
            Installing Test @ 20:38:07
                The installer exited with a non-zero exit status.
                ERROR: collect2: error: ld returned 1 exit status
                LOG: ~/.phoronix-test-suite/installed-tests/pts/gnupg-1.3.1/install-failed.log
    The relevant output of install-failed.log:

    Code:
    /home/joe/.phoronix-test-suite/installed-tests/pts/gnupg-1.3.1/gnupg-1.4.10/mpi/mpi-inline.h:87: multiple definition of `mpihelp_sub_1'
    ../mpi/libmpi.a(mpi-add.o):/home/joe/.phoronix-test-suite/installed-tests/pts/gnupg-1.3.1/gnupg-1.4.10/mpi/mpi-inline.h:87: first defined here
    ../mpi/libmpi.a(mpih-rshift.o): In function `mpihelp_sub':
    /home/joe/.phoronix-test-suite/installed-tests/pts/gnupg-1.3.1/gnupg-1.4.10/mpi/mpi-inline.h:114: multiple definition of `mpihelp_sub'
    ../mpi/libmpi.a(mpi-add.o):/home/joe/.phoronix-test-suite/installed-tests/pts/gnupg-1.3.1/gnupg-1.4.10/mpi/mpi-inline.h:114: first defined here
    ../mpi/libmpi.a(mpi-cmp.o): In function `mpihelp_add_1':
    /home/joe/.phoronix-test-suite/installed-tests/pts/gnupg-1.3.1/gnupg-1.4.10/mpi/mpi-inline.h:41: multiple definition of `mpihelp_add_1'
    ../mpi/libmpi.a(mpi-add.o):/home/joe/.phoronix-test-suite/installed-tests/pts/gnupg-1.3.1/gnupg-1.4.10/mpi/mpi-inline.h:41: first defined here
    ../mpi/libmpi.a(mpi-cmp.o): In function `mpihelp_add':
    /home/joe/.phoronix-test-suite/installed-tests/pts/gnupg-1.3.1/gnupg-1.4.10/mpi/mpi-inline.h:68: multiple definition of `mpihelp_add'
    ../mpi/libmpi.a(mpi-add.o):/home/joe/.phoronix-test-suite/installed-tests/pts/gnupg-1.3.1/gnupg-1.4.10/mpi/mpi-inline.h:68: first defined here
    ../mpi/libmpi.a(mpi-cmp.o): In function `mpihelp_sub_1':
    /home/joe/.phoronix-test-suite/installed-tests/pts/gnupg-1.3.1/gnupg-1.4.10/mpi/mpi-inline.h:87: multiple definition of `mpihelp_sub_1'
    ../mpi/libmpi.a(mpi-add.o):/home/joe/.phoronix-test-suite/installed-tests/pts/gnupg-1.3.1/gnupg-1.4.10/mpi/mpi-inline.h:87: first defined here
    ../mpi/libmpi.a(mpi-cmp.o): In function `mpihelp_sub':
    /home/joe/.phoronix-test-suite/installed-tests/pts/gnupg-1.3.1/gnupg-1.4.10/mpi/mpi-inline.h:114: multiple definition of `mpihelp_sub'
    ../mpi/libmpi.a(mpi-add.o):/home/joe/.phoronix-test-suite/installed-tests/pts/gnupg-1.3.1/gnupg-1.4.10/mpi/mpi-inline.h:114: first defined here
    collect2: error: ld returned 1 exit status
    Makefile:409: recipe for target 'mpicalc' failed
    (and like a zillion duplicates of the same)

    Some quick digging turns up this mailing list post suggesting that this is caused by something related to the way GCC implements C99 inline semantics, and there's a patch at the bottom of the post to apply to mpi-inline.h that causes it to start building for me, if you're reluctant to do a full upgrade.

    A little bit of system info in case it helps:
    Code:
    $ gcc --version
    gcc (GCC) 5.2.0
    Copyright (C) 2015 Free Software Foundation, Inc.
    This is free software; see the source for copying conditions.  There is NO
    warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
    
    $ uname -a
    Linux feeny 4.1.5-1-ARCH #1 SMP PREEMPT Tue Aug 11 15:41:14 CEST 2015 x86_64 GNU/Linux
    
    $ pacman -Q phoronix-test-suite
    phoronix-test-suite 5.8.0-1
    
    $ pacman -Q gcc-multilib
    gcc-multilib 5.2.0-2
    Last edited by airbreather; 08-22-2015, 08:39 PM. Reason: Editing the first code block to be more complete and include up to the shell command that triggered this.
Working...
X